Subject: Re: [apps-discuss] FW: New Version Notification for draft-lanthaler-profile-registry-01.txt

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 17 Apr 2013 07:41:22 -0700

This document creates a registry, so I'm fairly certain it needs to go
through the IETF Stream, which means an Area Director has to sponsor it or
a working group has to adopt it.  On the other hand, although Independent
Submission stream drafts can't create registry entries when the registry
has certain constraints, I couldn't find anything constraining registry
creation.  Someone should check my math here.

You could ask this working group if it's interested in working on the
document for starters.

-MSK, APPSAWG co-chair

On Wed, Apr 17, 2013 at 4:40 AM, Markus Lanthaler
<[email-masked]>wrote:

> Hi,
>
> I've just uploaded a new version of my I-D which incorporates Dave
> Cridland's feedback. Thanks again!
>
> Since this is my first I-D I'm not familiar with the processes yet. If my
> understanding of RFC2026 & RFC4846 is correct, the next step would be to
> send a publication request to the RFC editor. Or do I have to contact the
> Area Directors because the document requires IANA allocations?
>
>
> Thanks,
> Markus
>
>
> --
> Markus Lanthaler
> @markuslanthaler
>
>
>
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, April 17, 2013 1:21 PM
> To: [email-masked]
> Subject: New Version Notification for
> draft-lanthaler-profile-registry-01.txt
>
>
> A new version of I-D, draft-lanthaler-profile-registry-01.txt
> has been successfully submitted by Markus Lanthaler and posted to the
> IETF repository.
>
> Filename:        draft-lanthaler-profile-registry
> Revision:        01
> Title:           The IETF Profile URI Registry
> Creation date:   2013-04-17
> Group:           Individual Submission
> Number of pages: 6
> URL:
> http://www.ietf.org/internet-drafts/draft-lanthaler-profile-registry-01.txt
> Status:
> http://datatracker.ietf.org/doc/draft-lanthaler-profile-registry
> Htmlized:
> http://tools.ietf.org/html/draft-lanthaler-profile-registry-01
> Diff:
> http://www.ietf.org/rfcdiff?url2=draft-lanthaler-profile-registry-01
>
> Abstract:
>    This document defines a registry for profile URIs and establishes an
>    IETF URN Sub-namespace to be used in specifications standardizing
>    profiles.
>
>
>
>
> The IETF Secretariat
>
> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss
>

---

From: Barry Leiba <[email-masked]>
Date: Wed, 17 Apr 2013 11:31:25 -0400

>> Since this is my first I-D I'm not familiar with the processes yet. If my understanding
>> of RFC2026 & RFC4846 is correct, the next step would be to send a publication
>> request to the RFC editor. Or do I have to contact the Area Directors because the
>> document requires IANA allocations?
>
> through the IETF Stream, which means an Area Director has to sponsor it or a
> working group has to adopt it.  On the other hand, although Independent
> Submission stream drafts can't create registry entries when the registry has
> certain constraints, I couldn't find anything constraining registry

There's nothing that says you can't create a new registry through the
Independent Stream, as long as the IESG doesn't think it conflicts
with IETF work, so that's not the issue here.

The reason this can't go through the Independent Stream (that is,
directly to the RFC Editor) is that it's requesting an IETF-namespace
URN sub-namespace in the second bullet of Section 4.  RFC 3553 says
this about that:

   Process of identifier assignment:

      Identifiers are assigned only after a particular protocol element
      or number has been registered with the IANA using standard
      policies and procedures, or documented in an RFC describing a
      standards track protocol.  This means that the 'gating' function
      for assignment is the "IETF Consensus" process documented in RFC
      2434 [4].

I suggest that the appsawg might process this document.

Barry

---

From: "Markus Lanthaler" <[email-masked]>
Date: Wed, 17 Apr 2013 22:32:00 +0200

First of all, thanks to both of you for the quick reply!

> > This document creates a registry, so I'm fairly certain it needs to
> > go through the IETF Stream, which means an Area Director has to
> > sponsor it or a working group has to adopt it.  On the other hand,
> > although Independent Submission stream drafts can't create registry
> > entries when the registry has certain constraints, I couldn't find
> > anything constraining registry creation.  Someone should check my
> > math here.
> 

Great. Good to know.

> I suggest that the appsawg might process this document.

OK.. so I think all I can do now is to kindly ask the appsawg whether it is
interested in this work and use the document as starting point for the rest
of the process.

Thanks again,
Markus

--
Markus Lanthaler
@markuslanthaler

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 17 Apr 2013 20:16:51 -0700

> interested in this work and use the document as starting point for the rest
You have thus asked the question.  Do any participants have comments in
support or opposition?

-MSK, APPSAWG co-chair

---

From: Dave Crocker <[email-masked]>
Date: Wed, 17 Apr 2013 20:39:23 -0700

On 4/17/2013 8:16 PM, Murray S. Kucherawy wrote:
> <[email-masked] <mailto:[email-masked]>> wrote:
>

On the average, something like this is best done when motivated by some 
specific needs for its capabilities, rather than as an abstract exercise.

So my own question is:  what profiles are needed immediately?

d/

-- 
  Dave Crocker
  Brandenburg InternetWorking
  bbiw.net

---

From: "Markus Lanthaler" <[email-masked]>
Date: Thu, 18 Apr 2013 20:34:48 +0200

> So my own question is:  what profiles are needed immediately?

That's a good point. The JSON-LD specification [1], which is now in Last
Call at W3C, e.g., defines three profile URIs. Since it is being defined at
W3C, it also uses URIs in W3C's URI space. AFAIK, nothing comparable
(URI-space-wise) exists for RFCs. The profile link relation was approved
just recently and media type definitions are already beginning to include
profile parameters following its semantics [1], [2], [3], [4] (or are being
re-registered to do so).

I think the potential gain of reserving some URN space for this to enable
standards to mint unambiguous and, more importantly, stable identifiers far
outweighs the potential harm it might do. In fact, I can't see any potential
"harm" apart from "wasting" one URN sub-namespace if it doesn't get adopted.

This may not answer your question directly. We are a bit in a
chicken-and-egg situation here. Obviously profiles can't make use of such an
URN before the sub-namespace is established. Nevertheless, I think this I-D
represents an important piece to ensure that profiles can be used to build
interoperable and evolvable solutions. It is similar to media types: nothing
"breaks" if you use proprietary ones but you will lose a lot of advantages
by doing so. In these instances, centralization is a feature.

I hope this clarifies the motivation behind this effort. If not, please let
me know and I'll try my best to respond to your concerns.

Cheers,
Markus

[1] http://www.w3.org/TR/json-ld/#application-ld-json
[2] http://amundsen.com/media-types/collection/format/
[3] http://tools.ietf.org/html/draft-kelly-json-hal
[4] http://tools.ietf.org/html/draft-wilde-atom-profile

--
Markus Lanthaler
@markuslanthaler

---

From: "Markus Lanthaler" <[email-masked]>
Date: Wed, 24 Apr 2013 20:52:41 +0200

On Thursday, April 18, 2013 5:17 AM, Murray S. Kucherawy wrote: 

> > On Wed, Apr 17, 2013 at 1:32 PM, Markus Lanthaler wrote:

Unfortunately there haven't been many reactions. So, how do we proceed?

Thanks,
Markus

--
Markus Lanthaler
@markuslanthaler

---

From: Dave Cridland <[email-masked]>
Date: Wed, 24 Apr 2013 20:33:27 +0100

Oh, sorry.

I've no objections. The work seems to be needed, if I understand the
situation correctly, and would appear to be within the working group's
remit.

It's not really my field, but I'm happy to devote a cycle or two for
reviewing.